[PATCH 3/3] Use {web,instaweb,help}.browser config options.

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Now "git-instaweb" will try to use the browser configured as
"web.browser", if "instaweb.browser" is not set.

"git-browse-help" will check first "help.browser" and then
"web.browser".

Signed-off-by: Christian Couder <chriscool@xxxxxxxxxxxxx>
---
 git-browse-help.sh |    8 ++++++--
 git-instaweb.sh    |    1 +
 2 files changed, 7 insertions(+), 2 deletions(-)

diff --git a/git-browse-help.sh b/git-browse-help.sh
index 11f8bfa..de52365 100755
--- a/git-browse-help.sh
+++ b/git-browse-help.sh
@@ -80,9 +80,13 @@ do
 done
 
 if test -z "$browser"; then
-    browser=`git config web.browser`
+    for opt in "help.browser" "web.browser"
+    do
+	browser="`git config $opt`"
+	test -z "$browser" || break
+    done
     if test -n "$browser" && ! valid_tool "$browser"; then
-	    echo >&2 "git config option web.browser set to unknown browser: $browser"
+	    echo >&2 "git config option $opt set to unknown browser: $browser"
 	    echo >&2 "Resetting to default..."
 	    unset browser
     fi
diff --git a/git-instaweb.sh b/git-instaweb.sh
index 8503ae4..42d8d7f 100755
--- a/git-instaweb.sh
+++ b/git-instaweb.sh
@@ -24,6 +24,7 @@ fqgitdir="$GIT_DIR"
 local="`git config --bool --get instaweb.local`"
 httpd="`git config --get instaweb.httpd`"
 browser="`git config --get instaweb.browser`"
+test -z "$browser" && browser="`git config --get web.browser`"
 port=`git config --get instaweb.port`
 module_path="`git config --get instaweb.modulepath`"
 
-- 
1.5.3.6.1993.g154f-dirty

-
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html

[Index of Archives]     [Linux Kernel Development]     [Gcc Help]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [V4L]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]     [Fedora Users]

  Powered by Linux